package com.agri.system.service;

import com.agri.system.domain.SysAgriInfo;
import com.agri.system.domain.vo.AgriAutoInfoVo;
import com.agri.system.domain.vo.AgriInfoView;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * 大棚管理Service接口
 *
 * @author agri
 * @date 2026-01-08
 */
public interface ISysAgriInfoService  extends IService<SysAgriInfo> {
    /**
     * 查询大棚管理
     *
     * @param id 大棚管理主键
     * @return 大棚管理
     */
    public SysAgriInfo selectSysAgriInfoById(Long id);

    /**
     * 查询大棚管理列表
     *
     * @param sysAgriInfo 大棚管理
     * @return 大棚管理集合
     */
    public List<SysAgriInfo> selectSysAgriInfoList(SysAgriInfo sysAgriInfo);

    /**
     * 新增大棚管理
     *
     * @param sysAgriInfo 大棚管理
     * @return 结果
     */
    public int insertSysAgriInfo(SysAgriInfo sysAgriInfo);

    /**
     * 修改大棚管理
     *
     * @param sysAgriInfo 大棚管理
     * @return 结果
     */
    public int updateSysAgriInfo(SysAgriInfo sysAgriInfo);

    /**
     * 批量删除大棚管理
     *
     * @param ids 需要删除的大棚管理主键集合
     * @return 结果
     */
    public int deleteSysAgriInfoByIds(Long[] ids);

    /**
     * 删除大棚管理信息
     *
     * @param id 大棚管理主键
     * @return 结果
     */
    public int deleteSysAgriInfoById(Long id);


    public List<SysAgriInfo> findAgriByUser(SysAgriInfo sysAgriInfo);

    public List<AgriInfoView> findAgriInfoByUser(SysAgriInfo sysAgriInfo);

    Map<String,Object> addAgriFromMobile(SysAgriInfo sysAgriInfo);

    List<AgriAutoInfoVo> findAgriOfAutoInfo();


    List<String> queryImeiByUserId(Long userId);
}
